<div class="row">
	<div class="col-md-12">
			<%= form_tag report_path, :method => :get, :id=>"frm_report", :class => "form" do %>
				<% if period_type != false %>
					<div class="row">
						<div class="form-group col-md-2">
							<label>Select Period</label>
							<select name="period" id="sel_period" class="form-control">
								<option value="0">Today</option>
								<option value="1">Yesterday</option>
								<option value="2">This week</option>
								<option value="3">Last week</option>
								<option value="4">Last 7 days</option>
								<option value="5">This month</option>
								<option value="6">Last month</option>
								<option value="7">Last 30 days</option>
								<option value="8">This year</option>
								<option value="9">Last year</option>
							</select>
						</div>
						<!-- <input type="hidden" name="report_type" value="daily_sale" id="sel_sale_type"> -->
						<!-- <div class="form-group col-md-2">
							<label>Select Type</label>
							<select name="sale_type" id="sel_sale_type" class="form-control">
								<option value="0">All Sale Type</option>
								<option value="1">Revenue Only</option>
								<option value="2">Discount Only</option>
								<option value="3">Void Only</option>
								<option value="4">Taxes Only</option>
								<option value="5">Other Amount Only</option>
							</select>
						</div> -->
						<div class="form-group col-md-3">					
							<!-- <label class="">Select Shift Period</label> -->
				  			<label class="">From</label>
							<input data-behaviour='datepicker' class="form-control" name="from" id="from" type="text" placeholder="From date">
						</div>
						<div class="form-group col-md-3">
							<label class="">To</label>
							<input data-behaviour='datepicker' class="form-control" name="to" id="to" type="text" placeholder="To date">
						</div>
						<div class="form-group col-md-2 margin-top-20">
							<input type="submit" value="Generate Report" class='btn btn-primary'>
						</div>							
					</div>													
				<% end %>
				
			<% end %>		
	</div>
</div>

<script type="text/javascript">
$(function(){
	$('#custom_excel').hide();
	
	$('#custom_excel').click(function(){
		var url = $('#custom_excel').attr('data-url');
		$('#frm_report').attr('action',url)
		$('#frm_report').submit();
		// window.location = url;
	});
	
	var item = $('#item').val();
	var payment_type = $('#payment_type');
	
	if(item == 'order'){
		$('#cashier').hide();
		$('#waiter').show();
		if(payment_type){
			$('#payment_type').hide();
		}		
	}
	else if(item == 'sale'){
		$('#waiter').hide();
		$('#cashier').show();
	}
	else{
		$('#waiter').hide();
		$('#cashier').show();		
		$("#item").val('sale');
	}
});

//Reset the form to pervious values
$("#branch").val(<%=params[:branch]%>);
$("#waiter").val("<%=params[:waiter]%>");
$("#cashier").val(<%=params[:cashier]%>);
$("#product").val(<%=params[:product]%>);
$("#singer").val(<%=params[:singer]%>);
$("#item").val('<%=params[:item]%>');
$("#guest_role").val('<%=params[:guest_role]%>');


$("#from").val("<%=params[:from]%>");
$("#to").val("<%=params[:to]%>");
$("#sel_period").val(<%=params[:period]%>);
$("#sel_sale_type").val(<%=params[:sale_type]%>);

<% if params[:period_type] == 1 || params[:period_type] == "1" %>
	$("#rd_period_type_1").attr("checked","checked");
<% else %>
	$("#rd_period_type_0").attr("checked","checked");
<% end %>
$(".btn-group button").removeClass("active");
<% report_type = params[:report_type].blank? ? "0" : params[:report_type] %>
$("#btn_report_type_<%= report_type %>").addClass("active");

$('#item').change(function(){
	var item = $('#item').val();
	var payment_type = $('#payment_type');

	if(item == 'sale'){
		$('#waiter').hide();
		$('#cashier').show();		
		if(payment_type){
			$('#payment_type').show();
		}
	}
	else{
		$('#cashier').hide();
		$('#waiter').show();
		if(payment_type){
			$('#payment_type').hide();
		}
	}
});
</script> 